## Tentang Aplikasi

Diskuy adalah sebuah aplikasi forum berbasis web. Thread-thread diskusi dengan topic yang bermacam-macam. Pengguna diwajibkan untuk mebuat akun apabila pengguna ingin mebuat topic, thread dan komen baru.



## Cara Menjalankan Aplikasi
Untuk menjalankan aplikasi pada local server, perlu dilakukan langkah-langkah dibawah ini :

    1. Untuk menjalankan Aplikasi, jalankan perintah
            npm i
            npm run dev
            
    2. Buka http://localhost:3000 , aplikasi sudah dapat digunakan.
    
    3. Untuk melakukan register pengguna perlu dicatat panjang password minimal harus 8 huruf untuk dapat terdaftar

## Cara Build Docker Image

1. Aplikasi Ini menggunakan Oauth google sehingga membutuhkan variable client_id oauth google. Untuk membuat client oauth google dapat mengikuti tutorial berikut https://support.google.com/cloud/answer/6158849?hl=en. 

2. Setelah membuat client oauth google, anda akan mendapatkan credentials client_id. client ID harap disimpan untuk langkah selanjutnya.

3. Client id yang didapatkan akan menjadi nilai variabel ```REACT_APP_CLIENT_ID``` pada image ini. 

4. Buka file ```nginx/default.conf``` dan perhatikan line berikut

   ```shell
   location /api/ {
       proxy_pass 'http://diskuy-backend:4000/api/';
      }    
   ```

   Ubah file tersebut sesuai dengan base_url dari api backend yang akan digunakan oleh aplikasi ini

   Contoh template:

   

   ```shell
   location /api/ {
       proxy_pass 'http://<HOST>:<PORT>/api/';
      }    
   ```

   bila menggunakan docker-compose dan server backend satu network dengan yang lain, Maka HOST akan menjadi nama container dan PORT akan menjadi PORT yang di-expose pada Backend server. 

5. Build image dengan perintah berikut.

   ```shell
   docker build --build-arg REACT_APP_CLIENT_ID=<GOOGLE_OAUTH_CLIENT_ID> -t diskuy-frontend .
   ```

   opsi ```--build-arg``` adalah opsi untuk memasukkan environment variable saat Build image.

   

   Notes:

   Untuk Variabel ```REACT_APP_CLIENT_ID``` belum dapat di dilakukan akibat keterbatasan REACT.

   URL API Backend server belum dapat dipasang secara runtime saat membuat container sehingga harus  dilakuakn secara manual.



## Deploy Docker Image

1. Jalankan perintah ``` docker-compose up``` di root project aplikasi ini


## Cara Kontribusi

1. Fork Pada repository ini.
2. Clone pada repository hasil fork pada tahap 1.
3. Set git remote upstream dengan repository original dengan command ```git remote add upstream https://gitlab.cs.ui.ac.id/functional-programming/diskuy-backend.git``` (https) atau ```git remote add upstream git@gitlab.cs.ui.ac.id:functional-programming/diskuy-backend.git``` (ssh)
4. Buatlah branch baru pada repository fork dengan penamaan branch ```feature/nama-feature```
5. Jika fitur tersebut ingin disubmit / merge ke repo upstream, push branch fitur tersebut dan lakukan merge request ke branch master. Set reviewer merge request tersebut dengan owner dari repository ini.


Kelompok 18

  * Fadhil Pradipta - 1806205344
  * Jonathan - 1806204985
  * Muhammad Rafif ELfazri- 1806205722
  * Ryo Axton Lie - 1806205571

## Acknowledgements
  * CS UI - Functional Programming 2020
