import React, { useState } from 'react';
import PaginationComponent from 'react-js-pagination';
import '../styles/Pagination.css';

export default function Pagination(props) {
  const [activePage, setActivePage] = useState(parseInt(props.activePage));

  function handlePageChange(pageNumber) {
    const { switchPage } = props;
    setActivePage(pageNumber);
    switchPage(pageNumber);
  }

  return (
    <div>
      <PaginationComponent
        activePage={activePage}
        itemsCountPerPage={15}
        totalItemsCount={props.totalItems}
        pageRangeDisplayed={5}
        onChange={handlePageChange}
        itemClass="page-item"
        linkClass="page-link"
        hideNavigation="false"
      />
    </div>
  );
}
