import React, { useState} from 'react';
import { useHistory } from 'react-router';
import '../../styles/thread/Form.css';

export default function CreateNumber(props) {
  // const [totalNumber, setTotalNumber] = useState(0);
  const [input, setInput] = useState(0);
  const [title, setTitle] = useState('');
  const history = useHistory();


  const onSubmit = (e) => {
    e.preventDefault();
    history.push('/create/survey?value='+ input + '&title='+title)
  }
  
  return (
    <div className="formComponentContainer">
        <div className="header">
          <h1>
            <b>Create Survey</b>
          </h1>
        </div>
        <div class = "row">
          <form onSubmit={onSubmit}>
            <label htmlFor="Enter number of questions in your survey : "></label>

            <div class="row">
              <h5>Title Survey : </h5>
              <input
                    type="Text" 
                    value={title}
                    onChange={(e) => setTitle(e.target.value)}
                    className="title"
                    name="title"
                    required="true"
                />
            </div>
            <div class="row">
              <h5>Enter number of questions in your survey : </h5>
              <input
                  type="number" 
                  value={input}
                  onChange={(e) => setInput(e.target.value)}
                  className="num_quest"
                  name="num_quest"
                  required="true"
              />
              </div>
              <div class ="row">
                <button type="submit" className="btn btn-orange">
                    <span className="button">Next</span>
                </button>
              </div>

            </form>
            
           
        </div>
        <br/>
        <div>
                <p>*Survey ini menggunakan skala 1-5 dengan</p>
                <p>1 = Sangat Tidak Setuju</p>
                <p>5 = Sangat Setuju</p>
              </div>
   
    </div>
  );
}


