import '../../styles/thread/Form.css';
import React, { useState, useEffect } from 'react';
import axios from 'axios';
import { authHeader } from '../../helpers/services/auth.service';
import { API_URL } from '../../config/keys';
import { useHistory } from 'react-router';


export default function CreateSurvey({ location }) {
  const urlParams = new URLSearchParams(location.search);
  const keywordParam = urlParams.get('value');
  const title = urlParams.get('title');
  const [questions, setQuestions] = useState({});
  const history = useHistory();

  // const ids = [...Array(keywordParam).keys()]


  useEffect(() => {
    let question = {}
    for (let i = 0; i < keywordParam; i++) {
      question[i] = {}
    }
    setQuestions(question)

  }, [keywordParam])

  const addQuestion = (id, question) => {
    let newQuestions = questions;
    newQuestions[id]['question'] = question;
    setQuestions(newQuestions);
  }

  const onSubmit = async (event) => {
    event.preventDefault();
    console.log(questions);

    try {
      const result = await axios.post(
        `${API_URL}/surveys`,
        {
          survey: {
            title: title
          }
        },
        { headers: authHeader() }
      );

      const id = result.data.data.id;

      Object.entries(questions).forEach(async ([_, question]) => {
        let x = {
          question: question
        };
        x['question']['survey_id'] = parseInt(id);
        await axios.post(
          `${API_URL}/questions`,
          x,
          { headers: authHeader() }
        );
      })

      window.alert("Submitted your questions successfully");
      history.push('');
    } catch (error) {
      console.log(error);
    }

  };





  return (
    <div className="formComponentContainer">
      <div className="header">
        <h1>
          <b>Create Survey</b>
        </h1>

      </div>

      <form onSubmit={onSubmit}>
        <ul>
          {[...Array.from(Array(parseInt(keywordParam)).keys())].map((num, i) =>
            <li key={i}>
              <h5>Questions {i + 1}</h5>
              <input
                type="text"
                className="survey"
                name="survey"
                placeholder="Your Survey's Question"
                required="true"
                onInput={(e) =>
                  addQuestion(i, e.target.value)
                }

              />
            </li>
          )}

        </ul>

        <button type="submit" className="btn btn-orange">
          <span className="button">Create</span>
        </button>
      </form>
    </div>
  );
}
