import React from 'react';
import '../../styles/survey/ListSurveys.css';
import Button from '../utility/Button';
import RecentSurveys from './RecentSurveys';
import { loggedIn } from '../../helpers/services/auth.service';

export default function ListSurveys(props) {
  return (
    <div className="listSurveysContainer">
      <div className="header">
        <h1>
          <b>Survey</b>
        </h1>
        {loggedIn && (
          <Button text="Create Survey" color="orange" url="create/number" />
        )}
      </div>
      <div className="listSurveysSection">
        <RecentSurveys
          pageNumber={props.pageNumber}
          history={props.history}
        />
      </div>
    </div>
  );
}
