import '../../styles/survey/PreviewSurvey.css';
import { translate } from '../../helpers/time-util';
import { Link } from 'react-router-dom';
import AuthService from '../../helpers/services/auth.service';

export default function PreviewSurvey(props) {
  const { content } = props;
  const time = translate(content.inserted_at);
  return (
    <div className="surveyCard">
      <div className="surveyCardHeader">
        <h2 className="previewSurveyTitle">
          <b>{content.title}</b>
        </h2>
        {AuthService.getCurrentUserId() === content.user_id &&
          <button className="trashButton" onClick={() => props.deleteSurvey(content.id)}>
            <svg width="20" height="24" viewBox="0 0 20 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M6.25 0.75V2H0V4.5H1.25V20.75C1.25 21.413 1.51339 22.0489 1.98223 22.5178C2.45107 22.9866 3.08696 23.25 3.75 23.25H16.25C16.913 23.25 17.5489 22.9866 18.0178 22.5178C18.4866 22.0489 18.75 21.413 18.75 20.75V4.5H20V2H13.75V0.75H6.25ZM3.75 4.5H16.25V20.75H3.75V4.5ZM6.25 7V18.25H8.75V7H6.25ZM11.25 7V18.25H13.75V7H11.25Z" fill="#DE6600" />
            </svg>
          </button>
        }
      </div>
      <Link to={`/survey/${content.id}/fill`} style={{ textDecoration: 'none' }}>
        Fill
      </Link>
      {' | '}
      <Link to={`/survey/${content.id}/answer`} style={{ textDecoration: 'none' }}>
        View Results
      </Link>
      <div className="surveyCardContent">
        <p>
          By{' '}
          <Link to={`/profile/${content.username}/1`}>{content.username}</Link>
          {', '}
          {time}
        </p>
      </div>
    </div>
  );
}
