import React, { useEffect, useState } from 'react';
import axios from 'axios';
import { API_URL } from '../../config/keys';
import { authHeader } from '../../helpers/services/auth.service';
import '../../styles/survey/ViewSurveyAnswer.css';
import ViewAnswer from './ViewAnswer';

export default function ViewSurveyAnswer (props) {
    const { params } = props.match;
    const { survey } = params;
    const [title, setTitle] = useState('');
    const [questions, setQuestions] = useState([]);
    
    useEffect(() => {
        async function getSurveyTitle() {
            const title = (await axios.get(
                `${API_URL}/surveys/${survey}`,
                { headers: authHeader() }
            ))?.data?.data?.title;
            setTitle(title);
        }
            
        let questionList;
        async function getSurveyQuestions() {
            questionList = (await axios.get(
                // `${API_URL}/questions`,
                `${API_URL}/surveys/show_questions/${survey}`,
                { headers: authHeader() }
            ))?.data?.questions;
            setQuestions(questionList);
        }
            
        getSurveyTitle();
        getSurveyQuestions();
            
    }, [survey]);

    return (
        <div className="answer-table-container">
            <div className='header'><h1><b>{title}</b></h1></div>
            <div><h6>1 (Paling tidak setuju) - 5 (Paling setuju)</h6></div>
            { questions.map((val, idx) => <ViewAnswer key={idx} question={val} survey={survey}/>)}
        </div>
    );
}
