import React from 'react';
import '../../styles/thread/ListThreads.css';
import Button from '../utility/Button';
import TopThreads from './TopThreads';
import RecentThreads from './RecentThreads';
import { loggedIn } from '../../helpers/services/auth.service';
import { Link } from 'react-router-dom';

export default function ListThreads(props) {
  return (
    <div className="listThreadsContainer">
      <div className="header">
        <h1>
          <b>Threads</b>
        </h1>
      </div>

      {props.isRecent ? (
        <div className="listThreadsSection">
          <div className="subHeaderListThreads">
            <div className="tab">
              <Link to="/page/1" style={{ textDecoration: 'none' }}>
                <h3 className="active">Recent</h3>
              </Link>
              <Link to="/top/page/1" style={{ textDecoration: 'none' }}>
                <h3>Top</h3>
              </Link>
            </div>
            {loggedIn && (
              <Button text="Create Thread" color="orange" url="create/thread" />
            )}

          </div>
          <RecentThreads
            pageNumber={props.pageNumber}
            history={props.history}
          />
        </div>
      ) : (
        <div className="listThreadsSection">
          <div className="subHeaderListThreads">
            <div className="tab">
              <Link to="/page/1" style={{ textDecoration: 'none' }}>
                <h3>Recent</h3>
              </Link>
              <Link to="/top/page/1" style={{ textDecoration: 'none' }}>
                <h3 className="active">Top</h3>
              </Link>
            </div>
         
            {loggedIn && (
              <Button text="Create Thread" color="orange" url="create/thread" />
            )}

          
          </div>
          <TopThreads pageNumber={props.pageNumber} history={props.history} />
        </div>
      )}
    </div>
  );
}
