import '../../styles/thread/PreviewThread.css';
import { translate } from '../../helpers/time-util';
import { Link } from 'react-router-dom';

export default function PreviewThread(props) {
  const { content } = props;
  const time = translate(content.inserted_at);
  return (
    <div className="threadCard">
      <div className="threadCardHeader">
        <h2 className="previewThreadTitle">
          <b>{content.title}</b>
        </h2>
      </div>
      <p className="previewThreadTopic">{content.topic_name}</p>
      <div className="threadCardContent">
        <p>
          By{' '}
          <Link to={`/profile/${content.username}/1`}>{content.username}</Link>{' '}
          {', '}
          {window.innerWidth < 780 && (
            <br></br>
          )}
          {time} - <i className="far fa-thumbs-up" /> {content.points}
        </p>
      </div>
    </div>
  );
}
