import moment from 'moment';

function getRandomTime(start, end) {
  return new Date(start.getTime() + Math.random() * (end.getTime() - start.getTime()));
}

function dummySurveyList(N) {
  return [ ...Array(N).keys() ]
  .map(i => i+1)
  .map(i => ({
    id: i,
    title: 'Survey ' + i,
    topic_name: 'Kategori ' + i,
    username: 'User ' + i,
    points: i,
    inserted_at: getRandomTime(
      moment().subtract(3, 'd').toDate(),
      moment().add(3, 'd').toDate(),
    )
  }))
}

function dummyData() {
  const N = 5;
  const surveyList = dummySurveyList(N);

  return {
    data: surveyList,
    metadata: {
      total_data: N,
    }
  }
}

function dummyQuestion (question, id) {
  return {
    question,
    id,
  }
}

function dummyQuestionList(amount) {
  return [...Array(amount).keys()]
    .map(i => dummyQuestion(`Question ${i+1}`, i+1));
}

export { dummyData, dummyQuestionList };
