class AuthService {
  logout() {
    localStorage.removeItem('user');
  }

  getCurrentUser() {
    return JSON.parse(localStorage.getItem('user'));
  }

  getCurrentUserId() {
    return this.getCurrentUser()?.data?.id;
  }

  getCurrentUsername() {
    return this.getCurrentUser()?.data?.username;
  }
}

export default new AuthService();

export const authHeader = () => {
  const user = JSON.parse(localStorage.getItem('user'));
  if (user.accessToken) {
    return { Authorization: `Bearer ${user.accessToken}` };
  }
  else if (user.data.token) {
    return { Authorization: `Bearer ${user.data.token}` };
  }
};

export const userData = () => {
  const user = JSON.parse(localStorage.getItem('user'));
  return user.data;
}

export const loggedIn = JSON.parse(localStorage.getItem('user')) && 1;

export const isAdmin =
  loggedIn && JSON.parse(localStorage.getItem('user'))?.data?.role;
